{% extends '_base.html' %}
{% load static %}
{% load crispy_forms_tags %}


{% block title %} Apply for leave {% endblock title %}

{% block content %}
</div>
</div>
<section class="hero is-link has-text-centered">
    <div class="hero-body">
        <p class="title">
            Leaves
        </p>
        <p class="subtitle">
            Apply for leave
        </p>
    </div>
</section>
<br>
<div class="column is-one-third is-offset-one-third">
    <div class="card">
        <div class="section">
            <form action="{% url 'apply_leave' %}" method="POST">
                <div class="has-text-weight-bold is-italic">
                    <p class="has-text-link">* Remaining leave(s) are {{remaining_leave}}</p><br>
                </div>
                {% csrf_token%}
                {{form|crispy}}
                {% if error_code == 1 %}
                    <div class="has-text-weight-bold is-italic">
                        <p class="has-text-danger-dark">* Select from date and to date properly.</p><br>
                    </div>
                {% endif %}
                {% if error_code == 2 %}
                    <div class="has-text-weight-bold is-italic">
                        <p class="has-text-danger-dark">* Your applied leaves is greater than remaining leaves.</p><br>
                    </div>
                {% endif %}
                {% if error_code == 3 %}
                    <div class="has-text-weight-bold is-italic">
                        <p class="has-text-danger-dark">* You have already applied leave(s) on that day(s).</p><br>
                    </div>
                {% endif %}
                <button type="submit" class="button is-link"> Apply </button>
            </form>
        </div>
    </div>
</div>

{% endblock content %}